@import "~animate.css";
@import "src/stylesheets/modules/colors";
@import "src/stylesheets/modules/media-queries";

.navigation {
    @extend .animated;
    @extend .fadeInUp;
    font-size: 0;
    padding: 0;
    text-transform: uppercase;
    position: relative;
    margin: 0;
    float: right;
    z-index: 10;

    @include mobile {
        float: none;
        text-align: center;
        margin-top: 1rem;
    }

    li {
        display: inline-block;
        list-style: none;
        font-size: 1rem;

        + li {
            margin-left: 1rem;
        }
    }

    &__item {
        display: inline-block;
        padding: 0;
        line-height: 3rem;
        height: 3rem;
        width: 3rem;
        text-align: center;
        text-decoration: none;
        color: $color-text-normal;
        box-sizing: border-box;
        border-radius: 50%;

        &--disabled {
            opacity: 0.5;
            pointer-events: none;
        }

        &.v-link-active {
            color: white;
            background-color: $color-main;
            font-weight: 600;
        }
    }
}
